#This script creates a folder containing all ucsf files in the main bruker directory
#Edit the foreach to loop through all the experiments in the vclist (16 in this example)

#!/bin/csh
mkdir ../CPMG_Sparky_files
foreach fid (1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16)
#foreach fid (1)

nmrPipe -in temp_{$fid}.fid                           \
| nmrPipe  -fn SOL                                    \
#| nmrPipe  -fn LP -fb                                \
| nmrPipe  -fn SP -off 0.33 -end 1.00 -pow 1 -c 1.0   \
| nmrPipe  -fn ZF -size 4096                          \
| nmrPipe  -fn FT -auto                               \
| nmrPipe  -fn PS -p0 -73 -p1 50 -di -verb             \
| nmrPipe  -fn EXT  -xn 5.0ppm -sw                   \
| nmrPipe  -fn TP                                     \
#| nmrPipe  -fn LP -fb                                \
| nmrPipe  -fn SP -off 0.33 -end 1.00 -pow 1 -c 1.0   \
| nmrPipe  -fn ZF -size 4096                          \
| nmrPipe  -fn FT -auto                               \
| nmrPipe  -fn PS -p0 21.3 -p1 -41.6 -di -verb        \
| nmrPipe  -fn POLY -auto                             \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn POLY -auto                             \
   -ov -out test_{$fid}.ft2

pipe2ucsf test_{$fid}.ft2 ../CPMG_Sparky_files/test_{$fid}.ucsf
end
